package net.knarcraft.ffmpegconverter.converter.module;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import org.jetbrains.annotations.NotNull;

/**
 * A module that adds some arguments to a ffmpeg command
 */
public interface ConverterModule {

    /**
     * Adds this module's arguments to the given command
     *
     * @param command <p>The command to add to</p>
     */
    void addArguments(@NotNull FFMpegCommand command);

}
