package net.knarcraft.ffmpegconverter.property;

/**
 * A representation of different stream types
 */
public enum StreamType {

    /**
     * A video stream
     */
    VIDEO,

    /**
     * An audio stream
     */
    AUDIO,

    /**
     * A subtitle stream
     */
    SUBTITLE,

    /**
     * None of the above
     */
    OTHER

}
